GreatWksTextInternal::Frame Struct Reference

Internal and low level: structure which stores a text position for GreatWksText. More...

## Public Member Functions

| Frame ()
| constructor

## Public Attributes

MWAWBox2f | m_pos
| the frame position
int | m_page
| the page
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Frame const &frm)
| operator<<

## Detailed Description

Internal and low level: structure which stores a text position for GreatWksText.

## Constructor & Destructor Documentation

## Frame()

GreatWksTextInternal::Frame::Frame | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Frame const & | frm )

friend

operator<<

## Member Data Documentation

## m_extra

std::string GreatWksTextInternal::Frame::m_extra

extra data

Referenced by Frame(), operator<<, and GreatWksText::readZonePositions().

## m_page

int GreatWksTextInternal::Frame::m_page

the page

Referenced by Frame(), operator<<, and GreatWksText::readZonePositions().

## m_pos

MWAWBox2f GreatWksTextInternal::Frame::m_pos

the frame position

Referenced by Frame(), operator<<, and GreatWksText::readZonePositions().

The documentation for this struct was generated from the following file:

- GreatWksText.cxx